## org.apache.poi.hssf.record
Class ExtSSTRecord.InfoSubRecord

    java.lang.Object
      org.apache.poi.hssf.record.ExtSSTRecord.InfoSubRecord

Enclosing class:
  ExtSSTRecord

    public static final class ExtSSTRecord.InfoSubRecord

extends java.lang.Object

Field Summary
`static int` `ENCODED_SIZE`

Constructor Summary
`ExtSSTRecord.InfoSubRecord(int streamPos, int bucketSstOffset)` Creates new ExtSSTInfoSubRecord
`ExtSSTRecord.InfoSubRecord(RecordInputStream in)`

Method Summary
`int` `getBucketSSTOffset()`
`int` `getStreamPos()`
`void` `serialize(LittleEndianOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODED_SIZE

    public static final int ENCODED_SIZE

See Also:
  Constant Field Values

Constructor Detail

### ExtSSTRecord.InfoSubRecord

    public ExtSSTRecord.InfoSubRecord(int streamPos,
                                      int bucketSstOffset)

  Creates new ExtSSTInfoSubRecord

### ExtSSTRecord.InfoSubRecord

    public ExtSSTRecord.InfoSubRecord(RecordInputStream in)

Method Detail

### getStreamPos

    public int getStreamPos()

### getBucketSSTOffset

    public int getBucketSSTOffset()

### serialize

    public void serialize(LittleEndianOutput out)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.